Browse Source

Add gpg-error-config

Jelmer Vernooij 1 month ago
parent
commit
b920285adf
2 changed files with 25 additions and 2 deletions
  1. 23 0
      .github/gpg-error-config
  2. 2 2
      .github/workflows/pythontest.yml

+ 23 - 0
.github/gpg-error-config

@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# gpg-error-config: simple replacement gpg-error-config that is a shim
+# for pkg-config.
+
+# Parse flags
+for arg in "$@"; do
+  case $arg in
+	--cflags)
+	  pkg-config --cflags gpg-error
+	  ;;
+	--libs)
+	  pkg-config --libs gpg-error
+	  ;;
+	--version)
+	  pkg-config --modversion gpg-error
+	  ;;
+	*)
+	  echo "Unknown option: $arg" >&2
+	  exit 1
+	  ;;
+  esac
+done

+ 2 - 2
.github/workflows/pythontest.yml

@@ -28,12 +28,12 @@ jobs:
       - name: Install native dependencies (Ubuntu)
         run: sudo apt-get update && sudo apt-get install -y libgpgme-dev libgpg-error-dev
         if: "matrix.os == 'ubuntu-latest'"
-      - name: Provide gpgme-config for gpgme
+      - name: Provide gpgme-config and gpg-error-config
         if: "matrix.os == 'ubuntu-latest'"
         run: |
           mkdir -p "$HOME/.local/bin"
           cp .github/gpgme-config "$HOME/.local/bin/gpgme-config"
-          chmod +x "$HOME/.local/bin/gpgme-config"
+          cp .github/gpg-error-config "$HOME/.local/bin/gpg-error-config"
           echo "$HOME/.local/bin" >> $GITHUB_PATH
       - name: Install native dependencies (MacOS)
         run: brew install swig gpgme